Paraview and OpenGL

After you enter the command “paraview” and If you are encountering errors like “Your OpenGL drivers don’t support required OpenGL, features for basic rendering. Applications cannot continue. Please exit and use an older version. CONTINUE AT YOUR OWN RISK! OpenGL Vendor: Information Unavailable, OpenGL Version: Information Unavailable OpenGL Renderer: Information Unavailable.

The output messages shows

  • “Unable to find a valid OpenGL 3.2 or later…
  • failed to create offscreen window
  • GLEW could not be initialized

To resolve the issue, do run the command, to bypass hardware acceleration

% paraview --mesa

References: